Execute function (POST)
curl --request POST \
--url https://api.example.com/functions/{slug} \
--header 'Content-Type: application/json' \
--data '
{
"name": "John",
"age": 30
}
'import requests
url = "https://api.example.com/functions/{slug}"
payload = {
"name": "John",
"age": 30
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John', age: 30})
};
fetch('https://api.example.com/functions/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Hello, John!"
}{
"error": "Function not found or not active"
}{
"error": "Failed to connect to Deno runtime"
}Client
Execute function (POST)
Execute a function using POST method with JSON body. Proxied to Deno runtime.
POST
/
functions
/
{slug}
Execute function (POST)
Path Parameters
Function slug identifier
Pattern:
^[a-zA-Z0-9_-]+$Body
application/json
The body is of type object.
Response
Function executed successfully
The response is of type object.
Was this page helpful?
⌘I